Bug 20441 - algorithms not marked as such
algorithms not marked as such
Status: CLOSED FIXED
Product: WebAppsWG
Classification: Unclassified
Component: WebIDL
unspecified
PC Linux
: P2 minor
: ---
Assigned To: Cameron McCormack
public-webapps-bugzilla
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-19 05:44 UTC by Michael Dyck
Modified: 2013-08-03 18:07 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Dyck 2012-12-19 05:44:35 UTC
In the following cases, I think:
    <ol>
should be replaced with:
    <ol class='algorithm'>

In 3.10.24, in the definitions of 'flattened member types' and 'number of nullable member types'.

In 4.4.7, in the bullets specifying the behavior of the Function object and the value of its 'length' property.
Comment 1 Marcos Caceres 2013-01-22 12:45:19 UTC
Same applies in http://dev.w3.org/2006/webapi/WebIDL/#es-array

The list after "An ECMAScript value V is converted to an IDL array value of type T[] as follows:"

should be an ordered list. 

As should the list after "An IDL array value V of type T[] is converted to an ECMAScript value as follows:"
Comment 2 Cameron McCormack 2013-01-24 07:59:57 UTC
Thanks, I've fixed these.